hg-docker: fix Python 3.4 compatibility (for CentOS 7)
ClosedPublic

Authored by Mathiasdm on Jan 11 2019, 9:28 AM.

Details

Summary

I realize Mercurial is not targetting Python 3.4 compatibility,
but without this change, it's not even possible to build it on
CentOS 7 (and I assume the same is true for RHEL 7).

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Mathiasdm created this revision.Jan 11 2019, 9:28 AM
yuja added a subscriber: yuja.Jan 12 2019, 8:56 PM

+ if p.returncode:
+ raise Exception('failed to build docker image: %s %s' % (p.stdout, p.stderr))

Can you change the exception type? test-check-code.t complains about it.

In D5570#82332, @yuja wrote:

+ if p.returncode:
+ raise Exception('failed to build docker image: %s %s' % (p.stdout, p.stderr))

Can you change the exception type? test-check-code.t complains about it.

I'll submit a new version. Apologies, I didn't realize code in contrib/ would have impact on the tests.

Mathiasdm updated this revision to Diff 13208.Jan 14 2019, 10:12 AM
Closed by commit rHG92b3811fd15f: hg-docker: fix Python 3.4 compatibility (for CentOS 7) (authored by Mathias De Mare <mathias.de_mare@nokia.com>, committed by ). · Explain WhyJan 16 2019, 4:34 AM
This revision was automatically updated to reflect the committed changes.